|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QTextItem Class Reference
[QtGui module]

The QTextItem class provides all the information required to draw text in a custom paint engine. More...

     #include <QTextItem>

- List of all members, including inherited members

### Public Types

- enum RenderFlag { RightToLeft, Overline, Underline, StrikeOut }
- flags RenderFlags

### Public Functions

- qreal ascent () const
- qreal descent () const
- QFont font () const
- RenderFlags renderFlags () const
- QString text () const
- qreal width () const

## Detailed Description

The QTextItem class provides all the information required to draw text in a custom paint engine.

When you reimplement your own paint engine, you must reimplement QPaintEngine::drawTextItem(), a function that takes a QTextItem as one of its arguments.

## Member Type Documentation

### enum QTextItem::RenderFlag
flags QTextItem::RenderFlags

Constant | Value | Description
--- | --- | ---
`QTextItem::RightToLeft` | `0x1` | Indicates that the text should be rendered from right to left.
`QTextItem::Overline` | `0x10` | Indicates that QPainter has painted a line above the text.
`QTextItem::Underline` | `0x20` | Indicates that QPainter has painted a line under the text.
`QTextItem::StrikeOut` | `0x40` | Indicates that QPainter has painted a line through the text.

The RenderFlags type is a typedef for QFlags<RenderFlag>. It stores an OR combination of RenderFlag values.

## Member Function Documentation

### qreal QTextItem::ascent () const

Corresponds to the ascent of the piece of text that is drawn.

### qreal QTextItem::descent () const

Corresponds to the descent of the piece of text that is drawn.

### QFont QTextItem::font () const

Returns the font that should be used to draw the text.

### RenderFlags QTextItem::renderFlags () const

Returns the render flags used.

### QString QTextItem::text () const

Returns the text that should be drawn.

### qreal QTextItem::width () const

Specifies the total width of the text to be drawn.